<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.4
| Author: HobbyMan
| Web: http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."simple_announcement_panel/infusion_db.php";

if (file_exists(INFUSIONS."simple_announcement_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."simple_announcement_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."simple_announcement_panel/locale/English.php";
}

$inf_title = $locale['anc_002'];
$inf_description = $locale['anc_202'];
$inf_version = "1.4";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://www.phpnuclear.com";
$inf_folder = "simple_announcement_panel";

$inf_newtable[1] = DB_ANNOUNCEMENT." (
anc_importg VARCHAR(50) DEFAULT '' NOT NULL,
anc_importm VARCHAR(50) DEFAULT '' NOT NULL,
anc_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
anc_guest_subject TEXT NOT NULL,
anc_member_subject TEXT NOT NULL,
anc_guest_text TEXT NOT NULL,
anc_member_text TEXT NOT NULL,
anc_admin_text TEXT NOT NULL,
anc_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
anc_status TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
anc_showpd TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
anc_version VARCHAR(10) DEFAULT '' NOT NULL,
PRIMARY KEY (anc_status)
) TYPE=MyISAM;";


$inf_insertdbrow[1] = DB_ANNOUNCEMENT." (anc_importg, anc_importm, anc_user, anc_guest_subject, anc_member_subject, anc_guest_text, anc_member_text, anc_datestamp, anc_status, anc_showpd, anc_version) VALUES('', '', '', '', '', '', '', '".time()."', '0', '', '$inf_version')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['anc_002']."', panel_filename='".$inf_folder."', panel_side=2, panel_order='1', panel_type='file', panel_access='0', panel_display='0', panel_status='1' ";

$inf_droptable[1] = DB_ANNOUNCEMENT;

$inf_altertable[1] = DB_ANNOUNCEMENT." ADD anc_admin_text TEXT NOT NULL, anc_admin_text VARCHAR(200) DEFAULT '' NOT NULL,";

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";

$inf_adminpanel[1] = array(
	"title" => $locale['anc_200'],
	"image" => "announce.gif",
	"panel" => "admin/simple_announcement_admin.php",
	"rights" => "ANCP"
);

?>