<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: preview.php
| Author: HobbyMan
| Web: http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";
require_once INFUSIONS."simple_announcement_panel/functions.php";
include SAP."infusion_db.php";

if (!checkrights("ANCP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(SAP_LOC.$settings['locale'].".php")) {
	include SAP_LOC.$settings['locale'].".php";
} else { include SAP_LOC."English.php"; }

add_to_title($locale['global_200'].$locale['anc_201'].$locale['space'].$locale['anc_222']);

$datapr = dbarray(dbquery("SELECT * FROM ".DB_ANNOUNCEMENT));

    opentable($locale['anc_222']);
  echo "<hr>";
        
        if ($datapr['anc_guest_text'])
        {
  echo "<table align='center' cellpadding='0' cellspacing='0' width='90%' border='0'>\n";
  echo "<tr><td class='small'>";
  echo "<b><i>".$locale['anc_005']."</i></b>";
  echo "<br /><br />";
  echo "<div class='quote'><b>".$datapr['anc_guest_subject']."</b>";
  echo "<br />";
  $anc_guest_text = stripslashes($datapr['anc_guest_text']);
  echo nl2br(parseubb(parsesmileys($anc_guest_text)))."</div><br />";
  echo "</td></tr>\n";
  echo "</table>";
  echo "<hr>";

        } else {
          echo "<b><i>".$locale['anc_005']."</i></b>";
          echo "<br /><br />";
          echo "<div style='text-align:center' class='small'>".$locale['anc_400']."</div><hr>\n";}
      
        if ($datapr['anc_member_text']){
  echo "<table align='center' cellpadding='0' cellspacing='0' width='90%' border='0'>\n";
  echo "<tr><td class='small'>";
  echo "<b><i>".$locale['anc_006']."</i></b>";
  echo "<br /><br />";
  echo "<div class='quote'><b>".$datapr['anc_member_subject']."</b>";
  echo "<br />";
  $anc_member_text = stripslashes($datapr['anc_member_text']);
  echo nl2br(parseubb(parsesmileys($anc_member_text)))."</div><br />";
  echo "</td>\n</tr><tr>\n<td>";
  echo "<hr>";
        } else {
          echo "<b><i>".$locale['anc_006']."</i></b>";
          echo "<br /><br />";
          echo "<div style='text-align:center' class='small'>".$locale['anc_400']."</div><hr>\n";
        }
        
        if ($datapr['anc_admin_text']){
        $anc_admin_text = stripslashes($datapr['anc_admin_text']);
  echo "<b>".$locale['anc_225']."</b><br /><div class='admin-message'>".nl2br(parseubb(parsesmileys($anc_admin_text)))."</div>";
       } else {
  echo "<b>".$locale['anc_225']."</b><br /><div style='text-align:center' class='admin-message'>".$locale['anc_227']."</div>";}
  echo "</td>\n</tr>\n</table>";
  echo "<hr>";
  echo "<br /><center><a href='".SAP_ADMIN."simple_announcement_admin.php".$aidlink."'><b>".$locale['anc_200']."</b></a></center>\n";
        
closetable();
   
hm_copyright();
require_once THEMES."templates/footer.php";
?>