<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: announcement_admin.php
| CVS Version: 1.4
| Author: HobbyMan
| Web: http://www.phpnuclear.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";
require_once INFUSIONS."simple_announcement_panel/functions.php";
include SAP."infusion_db.php";

if (!checkrights("ANCP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(SAP_LOC.$settings['locale'].".php")) {
	include SAP_LOC.$settings['locale'].".php";
} else { include SAP_LOC."English.php"; }

add_to_title($locale['global_200'].$locale['anc_201']);

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_ANNOUNCEMENT." SET
	    
		anc_user='".addslash(descript($_POST['anc_user']))."',
        anc_importg='".addslash(descript($_POST['anc_importg']))."',
        anc_importm='".addslash(descript($_POST['anc_importm']))."',
        anc_guest_subject='".addslash(descript($_POST['anc_guest_subject']))."',
        anc_member_subject='".addslash(descript($_POST['anc_member_subject']))."',
        anc_guest_text='".addslash(descript($_POST['anc_guest_text']))."',
        anc_member_text='".addslash(descript($_POST['anc_member_text']))."',
        anc_admin_text='".addslash(descript($_POST['anc_admin_text']))."',
        anc_datestamp='".(isNum($_POST['anc_datestamp']) ? $_POST['anc_datestamp'] : "0")."',
        anc_showpd='".(isNum($_POST['anc_showpd']) ? $_POST['anc_showpd'] : "0")."',
        anc_status='".(isNum($_POST['anc_status']) ? $_POST['anc_status'] : "0")."'
	");

	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

  $data = dbarray(dbquery("SELECT * FROM ".DB_ANNOUNCEMENT));
  $version = "v".$data['anc_version']."";

  opentable($locale['anc_200'].$locale['anc_213'].$version);

  echo "<form name='announce' method='post' action='".FUSION_SELF.$aidlink."'>\n";

  echo "<table align='center' cellpadding='0' cellspacing='0' width='90%' class='tbl-border'>\n<tr>\n<td colspan='3' align='left'><b>".$locale['anc_201']."</b><br /><br /></td></tr>\n";

  echo "<tr><td width='40%'class='tbl2' align='right' valign='top'><b>".$locale['anc_003']."</b></td>";
  echo "<td class='tbl2' align='left' colspan='2'>";
  echo "<select name='anc_importg' class='textbox'>";
  echo "<option value=''".($data['anc_importg'] == "0" ? " selected" : "").">".$locale['anc_212']."</option>";
  echo "<option value='".$locale['anc_207']."'".($data['anc_importg'] == "".$locale['anc_207']."" ? " selected" : "").">".$locale['anc_207']."</option>";
  echo "<option value='".$locale['anc_208']."'".($data['anc_importg'] == "".$locale['anc_208']."" ? " selected" : "").">".$locale['anc_208']."</option>";
  echo "<option value='".$locale['anc_209']."'".($data['anc_importg'] == "".$locale['anc_209']."" ? " selected" : "").">".$locale['anc_209']."</option>";
  echo "<option value='".$locale['anc_210']."'".($data['anc_importg'] == "".$locale['anc_210']."" ? " selected" : "").">".$locale['anc_210']."</option>";
  echo "<option value='".$locale['anc_211']."'".($data['anc_importg'] == "".$locale['anc_211']."" ? " selected" : "").">".$locale['anc_211']."</option>";
  echo "</select>\n";
  echo "</td></tr>\n";

  echo "<tr><td colspan='3'><hr></td></tr>\n";

  echo "<tr><td width='40%'class='tbl2' align='right'><b>".$locale['anc_004']."</b></td>";
  echo "<td class='tbl2' align='left' width='60%' colspan='2'>";
  echo "<input type='text' name='anc_guest_subject' value='".$data['anc_guest_subject']."' maxlength='32' class='textbox' style='width:230px;' /><br />";
  echo "</td></tr>\n";

  echo "<tr><td width='40%'class='tbl2' align='right' valign='top'><b>".$locale['anc_005']."</b></td><td class='tbl2' align='left' width='60%' colspan='2'>";
  echo "<textarea name='anc_guest_text' rows='6' cols='44' class='textbox' style='width:400px;' />".stripslashes($data['anc_guest_text'])."</textarea><br />";
  echo display_bbcodes("340px", "anc_guest_text", "announce", "smiley|b|i|u|left|center|small|url|img|color|bcolor")."\n";
  echo "</td></tr>\n";

  echo "<tr><td colspan='3'><hr></td></tr>\n";
  
  echo "<tr><td width='40%'class='tbl2' align='right' valign='top'><b>".$locale['anc_003']."</b></td>";
  echo "<td class='tbl2' align='left' colspan='2'>";
  echo "<select name='anc_importm' class='textbox'>";
  echo "<option value=''".($data['anc_importm'] == "0" ? " selected" : "").">".$locale['anc_212']."</option>";
  echo "<option value='".$locale['anc_207']."'".($data['anc_importm'] == "".$locale['anc_207']."" ? " selected" : "").">".$locale['anc_207']."</option>";
  echo "<option value='".$locale['anc_208']."'".($data['anc_importm'] == "".$locale['anc_208']."" ? " selected" : "").">".$locale['anc_208']."</option>";
  echo "<option value='".$locale['anc_209']."'".($data['anc_importm'] == "".$locale['anc_209']."" ? " selected" : "").">".$locale['anc_209']."</option>";
  echo "<option value='".$locale['anc_210']."'".($data['anc_importm'] == "".$locale['anc_210']."" ? " selected" : "").">".$locale['anc_210']."</option>";
  echo "<option value='".$locale['anc_211']."'".($data['anc_importm'] == "".$locale['anc_211']."" ? " selected" : "").">".$locale['anc_211']."</option>";
  echo "</select>\n";
  echo "</td></tr>\n";

  echo "<tr><td width='40%'class='tbl2' align='right'><b>".$locale['anc_004']."</b></td>";
  echo "<td class='tbl2' align='left' width='60%' colspan='2'>";
  echo "<input type='text' name='anc_member_subject' value='".$data['anc_member_subject']."' maxlength='32' class='textbox' style='width:230px;' /><br />";
  echo "</td></tr>\n";

  echo "<tr><td width='40%'class='tbl2' align='right' valign='top'><b>".$locale['anc_006']."</b></td><td class='tbl2' align='left' width='60%' colspan='2'>";
  echo "<textarea name='anc_member_text' rows='6' cols='44' class='textbox' style='width:400px;' />".stripslashes($data['anc_member_text'])."</textarea><br />";
  echo display_bbcodes("340px", "anc_member_text", "announce", "smiley|b|i|u|left|center|small|url|img|color|bcolor")."\n";
  echo "</td></tr>\n";

  echo "<tr><td colspan='3'><hr></td></tr>\n";

  echo "<tr><td width='40%'class='tbl2 small' align='right' valign='top'><b>".$locale['anc_225']."</b><br /><br/ ><i>".$locale['anc_223']."</i></td><td class='tbl2 small' align='left' width='60%' colspan='2'>";
  echo "<textarea name='anc_admin_text' rows='6' cols='44' class='textbox' style='width:400px;' />".stripslashes($data['anc_admin_text'])."</textarea><br />";
  echo display_bbcodes("340px", "anc_admin_text", "announce", "smiley|b|i|u|left|center|small|url|img|color|bcolor")."\n";
  echo "</td></tr>\n";

  echo "<tr>\n<td colspan='3'><hr></td></tr>\n";

  echo "<tr><td width='40%'class='tbl2' align='right'><b>".$locale['anc_204']."</b><td class='tbl2' align='left' width='60%' colspan='2'>";
  echo "<b>".$userdata['user_name']."</b><input type='hidden' name='anc_user' value='".$userdata['user_id']."' class='textbox' />";
  echo "</td></tr>\n";

  echo "<tr><td width='30%'class='tbl2' align='right'><b>".$locale['anc_205']."</b></td><td class='tbl2' align='left' width='60%' colspan='2'>";
  echo "<input type='hidden' name='anc_datestamp' value='".time()."' class='textbox' />".strftime('%d/%m/%Y', $data['anc_datestamp']+($settings['timeoffset']*3600))."</td>";
  echo "</tr>\n";

        if ($data['anc_showpd']){
		$showpd = "<span style='background-color: #FFFFFF'>[<b>".$locale['anc_220']."</b>]</span>";
		} else {
		$showpd = "<span style='background-color: #FFFFFF'>[<b>".$locale['anc_221']."</b>]</span>";}

  echo "<tr><td width='40%' class='tbl2 small' align='right'>".$locale['anc_214']."<td class='tbl2 small' align='left' width='60%' colspan='2'>";
  echo "<label><input type='radio' name='anc_showpd' value='1'".($data['anc_showpd'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['anc_215']."</label>";
  echo "&nbsp;<label><input type='radio' name='anc_showpd' value='0'".($data['anc_showpd'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['anc_216']."</label>&nbsp;".$showpd."";
  echo "</td></tr>\n";

		if ($data['anc_status']){
		$show = "<span style='background-color: #FFFFFF'>[<b>".$locale['anc_218']."</b>]</span>";
		} else {
		$show = "<span style='background-color: #FFFFFF'>[<b>".$locale['anc_219']."</b>]</span>";}

  echo "<tr><td width='40%' class='tbl2 small' align='right' valign='top'>".$locale['anc_217']."<td class='tbl2 small' align='left' width='60%' colspan='2'>";
  echo "<label><input type='radio' name='anc_status' value='1'".($data['anc_status'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['anc_215']."</label>";
  echo "&nbsp;<label><input type='radio' name='anc_status' value='0'".($data['anc_status'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['anc_216']."</label>&nbsp;".$show."";
  echo "</td></tr>\n";

  echo "<tr><td colspan='3' align='center'>";
  echo "<br /><input type='submit' name='savesettings' value='".$locale['anc_203']."' class='button'>";
  echo "</td>\n</tr>\n</table>\n</form>\n";
  echo "<br /><center><a href='".SAP_ADMIN."preview.php".$aidlink."'><b>".$locale['anc_222'].$locale['space'].$locale['anc_001']."</b></a></center>\n";

closetable();
   
hm_copyright();

require_once THEMES."templates/footer.php";
?>